@import 'colors';
@import 'fonts';

@import 'spin';


$font-size-xsmall:  10px;   // 62.5%;  // 10px
$font-size-small:   12px;   // 75%;    // 12px
$font-size-base:    14px;   // 87.5%;  // 14px
$font-size-large:   16px;   // 100%;   // 16px
$font-size-xlarge:  18px;   // 112.5%; // 18px
$font-size-xxlarge: 20px;   // 125%;   // 20px
$font-size-xxxlarge: 24px;   // 150%;   // 24px

$line-height: 1.25;
$space: .25rem;
$border-radius: 4px;
$border-color: $grey-300;

$color-base: $dark-900;
$color-base-light: $dark-800;

// input
$color-input: $color-base-light;
$color-input-focus: $color-base;
$color-input-border: $grey-300;
$color-input-placeholder: $grey-600;
$color-input-disabled: $grey-300;
$color-input-readonly: $grey-700;
$color-input-background: #FFFFFF;
$color-input-background-disabled: $grey-50;
$color-addon-background: $grey-200;
$color-input-error: $red-600;
$color-input-border-error: $red-600;

// navigation
$navigation-wide-width: 16rem;
$navigation-narrow-width: 4.349rem;

// table
$table-header-color: $color-base-light;
$table-header-background: $grey-100;
$table-border-color: $border-color;

// drawer
$drawer-default-width: 45vw;
$drawer-color-background: $grey-50;


@import "margin";
@import "padding";
@import "row";

